Bug 1301532 - Keypresses become sticky (especially during IO)
Keypresses become sticky (especially during IO)
Status: NEW
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
27
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 05:10 EST by somethingsome2000+redhat
Modified: 2018-04-12 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description somethingsome2000+redhat 2016-01-25 05:10:27 EST
Description of problem:
My system stutters when there is heavy IO. BTRFS exacerbates this issue.  Whenever these stutters happen on a Wayland session, single keystrokes are registered as long key presses.

Example: attempting to type "this" during a stutter would result in something like "tttttttttttttttthis"


Version-Release number of selected component (if applicable):
Fedora 23


How reproducible:
Very reproducible


Steps to Reproduce:
a)
1. Cause stuttering (IO, swapping, anything)
2. Type text

---

b)
1. Lock screen
2. Wait until screen sleeps
3. type password (automatically wakes screen and catches password input)

Actual results:

a) sticky keys
b) password is always wrong. More letters are inputted.


Expected results:
Keys single keystrokes are registered as single keystrokes
Comment 1 somethingsome2000+redhat 2016-06-27 16:58:04 EDT
Fedora 24 is still affected by this.

Not that GDM is not the only thing affected by this issue. It can even happen while typing into a terminal or text editor.

It happens whenever there's heavy disk IO or any spike in latency. This doesn't happen to me on X.

Here's an example of this happening in the lockscreen
https://youtu.be/BdNXINJbr5Q
Comment 2 Fedora End Of Life 2017-11-16 14:31:25 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 marco 2018-04-11 10:41:18 EDT
I just updated to fedora 28 beta, which comes with wayland by default, IIRC. I am seeing this bug often and would like to see this issue be higher prioritised.

I think if there was a fedora 28 release with this bug in it, that version of fedora would be basically unusable. For example, it is not always possible to close a single tab in firefox, since CTRL+W "expands" into a loop of CTRL+W and closes all tabs and windows without a simple way to restore them.
Comment 4 marco 2018-04-11 11:53:13 EDT
It seems wayland is default since fedora 25. Could something else be the cause of this issue, considering that I am only seeing it after updating from fedora 27 to fedora 28 beta
Comment 5 marco 2018-04-12 16:13:17 EDT
This might have been a one-off for me. (Fixed after the latest `dnf update` on fedora 28 beta)

Note You need to log in before you can comment on or make changes to this bug.